|  | Home · All Classes · Modules

# Phonon.AudioChannelDescription Class Reference
[phonon module]

### Methods

- __init__ (self)
- __init__ (self, int index, unknown-type properties)
- __init__ (self, AudioChannelDescription)
- QString description (self)
- int index (self)
- bool isValid (self)
- QString name (self)
- QVariant property (self, str name)
- unknown-type propertyNames (self)

### Static Methods

- AudioChannelDescription fromIndex (int index)

### Special Methods

- bool __eq__ (self, AudioChannelDescription otherDescription)
- bool __ne__ (self, AudioChannelDescription otherDescription)

## Detailed Description

## Method Documentation

### AudioChannelDescription.__init__ (self)

### AudioChannelDescription.__init__ (self, int index, unknown-type properties)

### AudioChannelDescription.__init__ (self, AudioChannelDescription)

### QString AudioChannelDescription.description (self)

### AudioChannelDescription AudioChannelDescription.fromIndex (int index)

### int AudioChannelDescription.index (self)

### bool AudioChannelDescription.isValid (self)

### QString AudioChannelDescription.name (self)

### QVariant AudioChannelDescription.property (self, str name)

### unknown-type AudioChannelDescription.propertyNames (self)

### bool AudioChannelDescription.__eq__ (self, AudioChannelDescription otherDescription)

### bool AudioChannelDescription.__ne__ (self, AudioChannelDescription otherDescription)